libgdamm: Gnome::Gda::HandlerBoolean Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gnome::Gda::HandlerBoolean Class Reference
[Data Handlers]

Default Handler for booleans. More...

Inheritance diagram for Gnome::Gda::HandlerBoolean:
[legend]
Collaboration diagram for Gnome::Gda::HandlerBoolean:
[legend]

List of all members.

## Public Member Functions
virtual | ~HandlerBoolean ()
GdaHandlerBoolean* | gobj ()
| Provides access to the underlying C GObject.
const GdaHandlerBoolean* | gobj () const
| Provides access to the underlying C GObject.
GdaHandlerBoolean* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr < HandlerBoolean > | create ()
## Protected Member Functions
| HandlerBoolean ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gnome::Gda::HandlerBoolean > | wrap (GdaHandlerBoolean* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Default Handler for booleans.

## Constructor & Destructor Documentation

virtual Gnome::Gda::HandlerBoolean::~HandlerBoolean | ( | ) | `[virtual]`

Gnome::Gda::HandlerBoolean::HandlerBoolean | ( | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<HandlerBoolean> Gnome::Gda::HandlerBoolean::create | ( | ) | `[static]`

const GdaHandlerBoolean* Gnome::Gda::HandlerBoolean::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataHandler.

GdaHandlerBoolean* Gnome::Gda::HandlerBoolean::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataHandler.

GdaHandlerBoolean* Gnome::Gda::HandlerBoolean::gobj_copy | ( | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::HandlerBoolean > wrap | ( | GdaHandlerBoolean * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/handlerboolean.h